$(document).ready(function() {
  var token = $('body').data('token');

  $('.js-btn-filter').on('click', function filter() {
    url = 'index.php?route=report/sale_order/filter&token=' + token;

    var filter_date_start = $("input[name='filter_date_start']").attr('value');

    if (filter_date_start) {
      url += '&filter_date_start=' + encodeURIComponent(filter_date_start);
    }

    var filter_date_end = $("input[name='filter_date_end']").attr('value');

    if (filter_date_end) {
      url += '&filter_date_end=' + encodeURIComponent(filter_date_end);
    }

    var filter_group = $("select[name='filter_group']").attr('value');

    if (filter_group) {
      url += '&filter_group=' + encodeURIComponent(filter_group);
    }

    var filter_order_status_id = $("select[name='filter_order_status_id']").attr('value');

    if (filter_order_status_id != 0) {
      url += '&filter_order_status_id=' + encodeURIComponent(filter_order_status_id);
    }

    var filter_order_payment_method = $("select[name='filter_order_payment_method']").attr('value');

    if (filter_order_payment_method != '') {
      url += '&filter_order_payment_method=' + encodeURIComponent(filter_order_payment_method);
    }

    var filter_origem_pedido = $("select[name='filter_origem_pedido']").attr('value');

    if (filter_origem_pedido != '') {
      url += '&filter_origem_pedido=' + encodeURIComponent(filter_origem_pedido);
    }

    location = url;
  });

  $('#date-start').datepicker({
    dateFormat: 'dd/mm/yy',
    /* COMECO - Tradução DataPicker - por Henrique R. Pohl */
    closeText: 'Fechar',
    prevText: '&#x3c;Anterior',
    nextText: 'Pr&oacute;ximo&#x3e;',
    currentText: 'Hoje',
    monthNames: [
      'Janeiro',
      'Fevereiro',
      'Mar&ccedil;o',
      'Abril',
      'Maio',
      'Junho',
      'Julho',
      'Agosto',
      'Setembro',
      'Outubro',
      'Novembro',
      'Dezembro',
    ],
    monthNamesShort: ['Jan', 'Fev', 'Mar', 'Abr', 'Mai', 'Jun', 'Jul', 'Ago', 'Set', 'Out', 'Nov', 'Dez'],
    dayNames: [
      'Domingo',
      'Segunda-feira',
      'Ter&ccedil;a-feira',
      'Quarta-feira',
      'Quinta-feira',
      'Sexta-feira',
      'Sabado',
    ],
    dayNamesShort: ['Dom', 'Seg', 'Ter', 'Qua', 'Qui', 'Sex', 'Sab'],
    dayNamesMin: ['Dom', 'Seg', 'Ter', 'Qua', 'Qui', 'Sex', 'Sab'],
    weekHeader: 'Sm',
    firstDay: 0,
    isRTL: false,
    showMonthAfterYear: false,
    yearSuffix: '',
    /* FIM - Tradução DataPicker - por Henrique R. Pohl */
  });

  $('#date-end').datepicker({
    dateFormat: 'dd/mm/yy',
    /* COMECO - Tradução DataPicker - por Henrique R. Pohl */
    closeText: 'Fechar',
    prevText: '&#x3c;Anterior',
    nextText: 'Pr&oacute;ximo&#x3e;',
    currentText: 'Hoje',
    monthNames: [
      'Janeiro',
      'Fevereiro',
      'Mar&ccedil;o',
      'Abril',
      'Maio',
      'Junho',
      'Julho',
      'Agosto',
      'Setembro',
      'Outubro',
      'Novembro',
      'Dezembro',
    ],
    monthNamesShort: ['Jan', 'Fev', 'Mar', 'Abr', 'Mai', 'Jun', 'Jul', 'Ago', 'Set', 'Out', 'Nov', 'Dez'],
    dayNames: [
      'Domingo',
      'Segunda-feira',
      'Ter&ccedil;a-feira',
      'Quarta-feira',
      'Quinta-feira',
      'Sexta-feira',
      'Sabado',
    ],
    dayNamesShort: ['Dom', 'Seg', 'Ter', 'Qua', 'Qui', 'Sex', 'Sab'],
    dayNamesMin: ['Dom', 'Seg', 'Ter', 'Qua', 'Qui', 'Sex', 'Sab'],
    weekHeader: 'Sm',
    firstDay: 0,
    isRTL: false,
    showMonthAfterYear: false,
    yearSuffix: '',
    /* FIM - Tradução DataPicker - por Henrique R. Pohl */
  });
});
